visibility  

42

 

0

PROGRAM:
Sub CATMain()
Dim partDocument1 As PartDocument
Set partDocument1 = CATIA.ActiveDocument
Dim part1 As Part
Set part1 = partDocument1.Part
Dim hybridShapeFactory1 As HybridShapeFactory
Set hybridShapeFactory1 = part1.HybridShapeFactory
Dim hybridShapePointCoord1 As HybridShapePointCoordSet hybridShapePointCoord1 = hybridShapeFactory1.AddNewPointCoord(10#, 10#, 10#)
Dim hybridBodies1 As HybridBodies
Set hybridBodies1 = part1.HybridBodies
Dim hybridBody1 As HybridBody
Set hybridBody1 = hybridBodies1.Item("Geometrical Set.1")
hybridBody1.AppendHybridShape hybridShapePointCoord1
part1.InWorkObject = hybridShapePointCoord1
part1.Update
End Sub

Software

CATIA

Categories

CAD
Software related

Keywords

CATIAMACRO
CATIACUSTOMISATION
CATIACAA
CATIAVBA
CATIAV5MACRO
CADCUSTOMISATION
SQL
VBAPROGRAMMING
SOLIDWORKS
UGNX
TECHNOLOGY
EDUCATION
CATIATUTORIALS
UGNXTUTORIALS
CATIATRIMS
CATIAINTERIORS
CATIAEXTERIOR

Comments

avatar image

Statistics

42 Views
30 Likes
0 Comments
0 Bookmarks
person

More By Author

list

Series

×